# Installation
> `npm install --save @types/parse-cache-control`

# Summary
This package contains type definitions for parse-cache-control (https://github.com/roryf/parse-cache-control).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/parse-cache-control.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/parse-cache-control/index.d.ts)
````ts
/**
 * Simple function to parse Cache-Control headers.
 * Taken from {@link https://github.com/hapijs/wreck|Wreck}.
 */
declare function parseCacheControl(field: string): parseCacheControl.Header | null;

declare namespace parseCacheControl {
    interface Header {
        "max-age"?: number | undefined;
        "must-revalidate"?: boolean | undefined;
        "no-cache"?: boolean | undefined;
        "no-store"?: boolean | undefined;
        private?: boolean | undefined;
    }
}

export = parseCacheControl;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: none

# Credits
These definitions were written by [Piotr Błażejewicz](https://github.com/peterblazejewicz).
